/******************************************************************
*:ļADC12к
*
*******************************************************************/
#include "include.h"


/*
 * ADC12_Init
 * ADC12ģͨóʼ--ڷжģʽת
 * 
 * :
 *
 * :
 *    
 */
void ADC12_Init(void)
{
	ADC12_ADC12CTL0 = 0x00;
	ADC12_ADC12CTL0 = ADC12_ADC12CTL0_REF2_5V(1)+\
						ADC12_ADC12CTL0_REFON(1)+\
						ADC12_ADC12CTL0_ADC12ON(1);
	ADC12_ADC12CTL1 = ADC12_ADC12CTL1_CSTARTADDx(0)+\
						ADC12_ADC12CTL1_SHSx(0)+\
						ADC12_ADC12CTL1_SHP(0)+\
						ADC12_ADC12CTL1_ISSH(0)+\
						ADC12_ADC12CTL1_ADC12DIVx(0)+\
						ADC12_ADC12CTL1_ADC12SSELx(2)+\
						ADC12_ADC12CTL1_CONSEQx(0);
}


/*
 * ADC_SE_Get
 * ȡADCģ鵥תֵ--
 * 
 * :
 *    sref--ADC12οԴѡ
 *      |__5
 *      |__.......
 *    channel--ADCͨ
 *      |__0            --A0
 *      |__1            --A1
 *      |__2            --A2
 *      |__3            --A3
 *      |__4            --A4
 *      |__5            --A5
 *      |__6            --A6
 *      |__7            --A7
 *      |__8            --VeREF+
 *      |__9            --VeREF-
 *      |__10           --ڲ¶ȴ
 *      |__11           --(AVcc-AVss)/2
 *
 * :
 *    0--ô󣬻ѹֵΪ0
 *    --ADͨתֵҶ
 */
uint16 ADC12_SE_Get(uint8 sref,uint8 channel)
{
	//uint8 i = 0;
	ADC12_ADC12MCTL(0) = ADC12_ADC12MCTLx_SREFx(sref)+\
							ADC12_ADC12MCTLx_INCHx(channel);
	ADC12_ADC12CTL0 |= ADC12_ADC12CTL0_ENC_MASK;
	ADC12_ADC12CTL0 |= ADC12_ADC12CTL0_ADC12SC_MASK;
	//for(i=0;i<1;i++);
	ADC12_ADC12CTL0 &= ~ADC12_ADC12CTL0_ADC12SC_MASK;
	while((ADC12_ADC12IFG&0x0001)==0);
	return ADC12_ADC12MEM(0);
}





















