/******************************************************************
*:ļж˲IOк
*
*******************************************************************/
#include "MSP430.h"
#include "include.h"

void GPIO_Isr(void)
{;}
//ûԶжϷ
GPIO_ISR_CALLBACK P1_ISR[8]={GPIO_Isr};

GPIO_ISR_CALLBACK P2_ISR[8]={GPIO_Isr};


/*
 * GPIO_Init
 * GPIOͨóʼ
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *    dir--˿ݷ
 *      |__DIR_INPUT  --
 *      |__DIR_OUTPUT --
 *
 * :
 *   
 */
void GPIO_Init(Px px,uint8 dir)
{
	switch(px)
		{
			case P1:{
					P1_PSEL = GPIO_PSEL(0x00);
					P1_PIE = GPIO_PIE(0x00);
					if(dir==DIR_INPUT)
						{
							P1_PDIR = GPIO_PDIR(0x00);
						}
					else
						{
							P1_POUT = 0xFF;
							P1_PDIR = GPIO_PDIR(0xFF);
						}
				}
			break;
			case P2:{
					P2_PSEL = GPIO_PSEL(0x00);
					P2_PIE = GPIO_PIE(0x00);
					if(dir==DIR_INPUT)
						{
							P2_PDIR = GPIO_PDIR(0x00);
						}
					else
						{
							P2_POUT = 0xFF;
							P2_PDIR = GPIO_PDIR(0xFF);
						}
				}
			break;
			case P3:{
					P3_PSEL = GPIO_PSEL(0x00);
					//P3_PIE = GPIO_PIE(0x00);
					if(dir==DIR_INPUT)
						{
							P3_PDIR = GPIO_PDIR(0x00);
						}
					else
						{
							P3_POUT = 0xFF;
							P3_PDIR = GPIO_PDIR(0xFF);
						}
				}
			break;
			case P4:{
					P4_PSEL = GPIO_PSEL(0x00);
					//P1_PIE = GPIO_PIE(0x00);
					if(dir==DIR_INPUT)
						{
							P4_PDIR = GPIO_PDIR(0x00);
						}
					else
						{
							P4_POUT = 0xFF;
							P4_PDIR = GPIO_PDIR(0xFF);
						}
				}
			break;
			case P5:{
					P5_PSEL = GPIO_PSEL(0x00);
					//P1_PIE = GPIO_PIE(0x00);
					if(dir==DIR_INPUT)
						{
							P5_PDIR = GPIO_PDIR(0x00);
						}
					else
						{
							P5_POUT = 0xFF;
							P5_PDIR = GPIO_PDIR(0xFF);
						}
				}
			break;
			case P6:{
					P6_PSEL = GPIO_PSEL(0x00);
					//P1_PIE = GPIO_PIE(0x00);
					if(dir==DIR_INPUT)
						{
							P6_PDIR = GPIO_PDIR(0x00);
						}
					else
						{
							P6_POUT = 0xFF;
							P6_PDIR = GPIO_PDIR(0xFF);
						}
				}
			break;
		}
}








/*
 * P1_2_Init
 * P1_2ͨóʼ
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *    port_bit--˿λ
 *      |__0~7
 *    fun--ѡ
 *      |__IO       --IO
 *      |__MOD    --Χģ鹦
 *    dir--˿ݷ
 *      |__DIR_INPUT  --
 *      |__DIR_OUTPUT --
 *    irqc--ж
 *      |__IRQC_DIS   --ʹж
 *      |__IRQC_RI    --شж
 *      |__IRQC_FA    --½شж
 *
 * :
 *   
 */
void P1_2_Init(Px px, uint8 port_bit,uint8 fun, uint8 dir, uint8 irqc)
{
	//жϱ־λ
	P1_PIFG = 0x00;
	P2_PIFG = 0x00;
	
	switch(px)
		{
			case P1:{
					if(fun==IO)
						{
							P1_PSEL &= ~((uint8)(1)<<port_bit);   //óGPIO
						}
					else
						{
							P1_PSEL |= ((uint8)(1)<<port_bit);   //óΧģ鹦
						}
					if(dir==DIR_INPUT)
						{
							P1_PDIR &= ~((uint8)(1)<<port_bit);   //ó빦
						}
					else
						{
							P1_POUT |= ((uint8)(1)<<port_bit);
							P1_PDIR |= ((uint8)(1)<<port_bit);    //ó							
						}
					
					switch(irqc)
						{
							case IRQC_DIS:{
									P1_PIE &= ~((uint8)(1)<<port_bit);  //رж
								}
								break;
							case IRQC_RI:{
									P1_PIE |= ((uint8)(1)<<port_bit);   //ж
									P1_PIES &= ~((uint8)(1)<<port_bit);  //ش
								}
								break;
							case IRQC_FA:{
									P1_PIE |= ((uint8)(1)<<port_bit);  //ж
									P1_PIES |= ((uint8)(1)<<port_bit);  //½ش
								}
								break;
						}
				}
				break;
			case P2:{
					if(fun==IO)
						{
							P2_PSEL &= ~((uint8)(1)<<port_bit);   //óGPIO
						}
					else
						{
							P2_PSEL |= ((uint8)(1)<<port_bit);   //óΧģ鹦
						}
					if(dir==DIR_INPUT)
						{
							P2_PDIR &= ~((uint8)(1)<<port_bit);   //ó빦
						}
					else
						{
							P2_POUT |= ((uint8)(1)<<port_bit);
							P2_PDIR |= ((uint8)(1)<<port_bit);    //ó							
						}
					switch(irqc)
						{
							case IRQC_DIS:{
									P2_PIE &= ~((uint8)(1)<<port_bit);  //رж
								}
								break;
							case IRQC_RI:{
									P2_PIE |= ((uint8)(1)<<port_bit);   //ж
									P2_PIES &= ~((uint8)(1)<<port_bit);  //ش
								}
								break;
							case IRQC_FA:{
									P2_PIE |= ((uint8)(1)<<port_bit);  //ж
									P2_PIES |= ((uint8)(1)<<port_bit);  //½ش
								}
								break;
						}
				}
				break;
		}
	
}

/*
 * P3_6_Init
 * P3_6ͨóʼ
 * 
 * :
 *    px--˿ں
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6 
 *    port_bit--˿λ
 *      |__0~7
 *    fun--ѡ
 *      |__IO       --IO
 *      |__MOD    --Χģ鹦
 *    dir--˿ݷ
 *      |__DIR_INPUT  --
 *      |__DIR_OUTPUT --
 *
 * :
 *   
 */
void P3_6_Init(Px px, uint8 port_bit,uint8 fun, uint8 dir)
{
	switch(px)
		{
			case P3:{
					if(fun==IO)
						{
							P3_PSEL &= ~((uint8)(1)<<port_bit);   //óGPIO
						}
					else
						{
							P3_PSEL |= ((uint8)(1)<<port_bit);   //óΧģ鹦
						}
					if(dir==DIR_INPUT)
						{
							P3_PDIR &= ~((uint8)(1)<<port_bit);   //ó빦
						}
					else
						{	
							P3_POUT |= ((uint8)(1)<<port_bit);
							P3_PDIR |= ((uint8)(1)<<port_bit);    //ó							
						}
				}
			break;
			case P4:{
					if(fun==IO)
						{
							P4_PSEL &= ~((uint8)(1)<<port_bit);   //óGPIO
						}
					else
						{
							P4_PSEL |= ((uint8)(1)<<port_bit);   //óΧģ鹦
						}
					if(dir==DIR_INPUT)
						{
							P4_PDIR &= ~((uint8)(1)<<port_bit);   //ó빦
						}
					else
						{
							P4_POUT |= ((uint8)(1)<<port_bit);
							P4_PDIR |= ((uint8)(1)<<port_bit);    //ó							
						}
				}
			break;
			case P5:{
					if(fun==IO)
						{
							P5_PSEL &= ~((uint8)(1)<<port_bit);   //óGPIO
						}
					else
						{
							P5_PSEL |= ((uint8)(1)<<port_bit);   //óΧģ鹦
						}
					if(dir==DIR_INPUT)
						{
							P5_PDIR &= ~((uint8)(1)<<port_bit);   //ó빦
						}
					else
						{
							P5_POUT |= ((uint8)(1)<<port_bit);
							P5_PDIR |= ((uint8)(1)<<port_bit);    //ó							
						}
				}
			break;
			case P6:{
					if(fun==IO)
						{
							P6_PSEL &= ~((uint8)(1)<<port_bit);   //óGPIO
						}
					else
						{
							P6_PSEL |= ((uint8)(1)<<port_bit);   //óΧģ鹦
						}
					if(dir==DIR_INPUT)
						{
							P6_PDIR &= ~((uint8)(1)<<port_bit);   //ó빦
						}
					else
						{
							P6_POUT |= ((uint8)(1)<<port_bit);
							P6_PDIR |= ((uint8)(1)<<port_bit);    //ó							
						}
				}
			break;
		}
}

/*
 * P1_2_SetIsr
 * P1_2ͨûжϷʹж
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *    port_bit--˿λ
 *      |__0~7
 *    isr_func--ûжϳڵַ
 *      |__ûڹļ¶жϺΪ:޷ֵ,޲(eg. void isr(void);)
 *
 * :
 *	
 */
void P1_2_SetIsr(Px px,uint8 port_bit, GPIO_ISR_CALLBACK isr_func)
{
	switch(px)
		{
			case P1:{
					P1_ISR[port_bit] = isr_func;
					P1_PIE |= ((uint8)(1)<<port_bit);//ʹж
				}
			break;
			case P2:{
					P2_ISR[port_bit] = isr_func;
					P2_PIE |= ((uint8)(1)<<port_bit);//ʹж
				}
			break;
		}
}

/*
 * P1_2_ClearIsr
 * P1_2ͨûжϷж
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *    port_bit--˿λ
 *      |__0~7	
 * :
 *	
 */
void P1_2_ClearIsr(Px px,uint8 port_bit)
{
	switch(px)
		{
			case P1:{
					P1_ISR[port_bit] = GPIO_Isr;
					P1_PIE &= ~((uint8)(1)<<port_bit);//ж
				}
			break;
			case P2:{
					P2_ISR[port_bit] = GPIO_Isr;
					P2_PIE &= ~((uint8)(1)<<port_bit);//ʹж
				}
			break;
		}
}

/*
 * GPIO_Set
 * GPIO˿0~7λ
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *    data8--
 *      |__0x00~0xFF--͵ߴGPIOڵĵ0~8λ
 *
 * :
 *	
 */
void GPIO_Set(Px px, uint8 data8)
{
	switch(px)
		{
			case P1:{
					P1_POUT = data8;
				}
			break;
			case P2:{
					P2_POUT = data8;
				}
			break;
			case P3:{
					P3_POUT = data8;
				}
			break;
			case P4:{
					P4_POUT = data8;
				}
			break;
			case P5:{
					P5_POUT = data8;
				}
			break;
			case P6:{
					P6_POUT = data8;
				}
			break;
		}
}

/*
 * GPIO_Set_b
 * GPIO˿һλ
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *    port_bit--λ
 *      |__0~7       --GPIOڵĵ0~7λ
 *    data1--
 *      |__0   --͵ƽ
 *      |__1   --ߵƽ
 *
 * :
 *
 */
void GPIO_Set_b(Px px, uint8 port_bit, uint8 data1)
{
	switch(px)
		{
			case P1:{
					P1_POUT &= ~((uint8)(1)<<port_bit);
					P1_POUT |= ((uint8)(data1)<<port_bit);
				}
			break;
			case P2:{
					P2_POUT &= ~((uint8)(1)<<port_bit);
					P2_POUT |= ((uint8)(data1)<<port_bit);
				}
			break;
			case P3:{
					P3_POUT &= ~((uint8)(1)<<port_bit);
					P3_POUT |= ((uint8)(data1)<<port_bit);
				}
			break;
			case P4:{
					P4_POUT &= ~((uint8)(1)<<port_bit);
					P4_POUT |= ((uint8)(data1)<<port_bit);
				}
			break;
			case P5:{
					P5_POUT &= ~((uint8)(1)<<port_bit);
					P5_POUT |= ((uint8)(data1)<<port_bit);
				}
			break;
			case P6:{
					P6_POUT &= ~((uint8)(1)<<port_bit);
					P6_POUT |= ((uint8)(data1)<<port_bit);
				}
			break;
		}
	
}

/*
 * GPIO_Get
 * ȡGPIOڵ
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *
 * :
 *    ָGPIOڵ8λ
 *
 */
uint8 GPIO_Get(Px px)
{
	switch(px)
		{
			case P1:{
					return P1_PIN;
				}
			break;
			case P2:{
					return P2_PIN;
				}
			break;
			case P3:{
					return P3_PIN;
				}
			break;
			case P4:{
					return P4_PIN;
				}
			break;
			case P5:{
					return P5_PIN;
				}
			break;
			case P6:{
					return P6_PIN;
				}
			break;
		}
	return 0;
}


/*
 * GPIO_Get_b
 * ȡGPIOĳһλ
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *    port_bit--λ
 *      |__0~7--GPIOڵĵ0~7λ
 *
 * :
 *    ָGPIOڵָλĵƽ
 *
 */
uint8 GPIO_Get_b(Px px, uint8 port_bit)
{
	
	switch(px)
		{
			case P1:{
					return (P1_PIN>>port_bit)&0x01;
				}
			break;
			case P2:{
					return (P2_PIN>>port_bit)&0x01;
				}
			break;
			case P3:{
					return (P3_PIN>>port_bit)&0x01;
				}
			break;
			case P4:{
					return (P4_PIN>>port_bit)&0x01;
				}
			break;
			case P5:{
					return (P5_PIN>>port_bit)&0x01;
				}
			break;
			case P6:{
					return (P6_PIN>>port_bit)&0x01;
				}
			break;
		}
	return 0;
}

/*
 * GPIO_Toggle
 * GPIO˿0~7ĵƽת
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *    data8--ת
 *      |__0x00~0xFF--͵ߴGPIOڵĵ0~7λķת1Ϊת0Ϊֲ䡣
 *
 * :
 *
 */
void GPIO_Toggle(Px px, uint8 data8)
{
	switch(px)
		{
			case P1:{
					P1_POUT ^= data8;
				}
			break;
			case P2:{
					P2_POUT ^= data8;
				}
			break;
			case P3:{
					P3_POUT ^= data8;
				}
			break;
			case P4:{
					P4_POUT ^= data8;
				}
			break;
			case P5:{
					P5_POUT ^= data8;
				}
			break;
			case P6:{
					P6_POUT ^= data8;
				}
			break;
		}
}


/*
 * GPIO_Toggle_b
 * GPIO˿һλķת
 * 
 * :
 *    px--˿ں
 *      |__P1        --Port 1
 *      |__P2        --Port 2
 *      |__P3        --Port 3
 *      |__P4        --Port 4
 *      |__P5        --Port 5
 *      |__P6        --Port 6
 *    port_bit--λ
 *      |__0~7       --GPIOڵһλת
 *
 * :
 *
 */
void GPIO_Toggle_b(Px px, uint8 port_bit)
{
	switch(px)
	    {
	    	case P1:{
					P1_POUT ^= ((uint8)(1)<<port_bit);
				}
			break;
			case P2:{
					P2_POUT ^= ((uint8)(1)<<port_bit);
				}
			break;
			case P3:{
					P3_POUT ^= ((uint8)(1)<<port_bit);
				}
			break;
			case P4:{
					P4_POUT ^= ((uint8)(1)<<port_bit);
				}
			break;
			case P5:{
					P5_POUT ^= ((uint8)(1)<<port_bit);
				}
			break;
			case P6:{
					P6_POUT ^= ((uint8)(1)<<port_bit);
				}
			break;
		}
}








/************************************************ж*******************************************************/

/*******************************************
ƣP1_Isr
    ܣP1˿ڵⲿж
    
ֵ  
********************************************/
#pragma vector = PORT1_VECTOR
__interrupt void P1_Isr(void)
{
	uint8 i;
	//ȡ־λ
	for(i=0;i<8;i++)
		{
			if((P1_PIFG>>i)&0x01)break;  
		}
	if(i<8)
		{
			P1_PIFG &= ~((uint8)(1)<<i);  //־λ
			P1_ISR[i]();    //ûжϷ
		}
}

/*******************************************
ƣP2_Isr
    ܣP2˿ڵⲿж
    
ֵ  
********************************************/
#pragma vector = PORT2_VECTOR
__interrupt void P2_Isr(void)
{
	uint8 i;
	//ȡ־λ
	for(i=0;i<8;i++)
		{
			if((P2_PIFG>>i)&0x01)break;  
		}
	if(i<8)
		{
			P2_PIFG &= ~((uint8)(1)<<i);  //־λ
			P2_ISR[i]();    //ûжϷ
		}
}



